Description

Updating the network interfaces triggers a validation to check for misconfiguration and errors.

Howto reproduce:

add an interface with the same mac, ip, fqdn as another interface (say eth1), name it eth2

remove eth1

submit

Validation fails, explaining that eth1 and eth2 are conflicting (but eth1 should have been removed!)

Another example: try to migrate your primary, provisioning eth0 interface as a bond0

add bond0 with the same mac, ip, fqdn as bond0

activate provision and primary for bond0

eth0 can now be deleted. remove eth0

submit

I think this is related to #11031

Related issues:

Related to Foreman - Bug #11031: Cannot remove interface with duplicate name Closed 07/07/2015

Related to Foreman - Bug #11053: Ethernet interfaces not checked for uniquene... Duplicate 07/08/2015

Related to Foreman - Bug #11251: Unable to save host due to 'some of the inte... Resolved 07/29/2015

Related to Foreman - Bug #12034: Validation of unique MAC can result in false... Closed 10/01/2015

Related to Foreman - Bug #12486: Duplicate IP addresses after upgrading from ... Resolved 11/15/2015

Associated revisions

Revision 35241dd6 - 09/16/2015 07:38 AM - Marek Hulán

Fixes #11034 - custom uniqueness validations for interface attributes

History

#1 - 07/07/2015 08:04 AM - Jérôme Vizcaino

Typo, read: add bond0 with the same mac, ip, fqdn as eth0

#2 - 07/07/2015 08:06 AM - Dominic Cleal

- Related to Bug #11031: Cannot remove interface with duplicate name added

#3 - 07/07/2015 08:06 AM - Dominic Cleal

- Category set to Network

#4 - 07/08/2015 10:52 AM - Markus Frosch
Got the same problem, the problem seems to be that interface to be deleted are also validated.

When you change an interface to "valid" data - like renaming eth1 to eth2 and removing the ip address, and then delete it. The deletion works

#5 - 07/09/2015 02:32 AM - Marek Hulán

- Related to Bug #11053: Ethernet interfaces not checked for uniqueness and foreman would not allow to delete. added

#6 - 07/30/2015 02:26 AM - Marek Hulán

- Related to Bug #11251: Unable to save host due to 'some of the interfaces are invalid' error added

#7 - 09/04/2015 08:52 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#8 - 09/04/2015 08:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2672 added

- Pull request deleted ()

#9 - 09/16/2015 07:46 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#10 - 09/16/2015 08:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 35241dd65a6b4f426374a03e83d6f796f59a9d35.

#11 - 10/01/2015 11:41 AM - Marek Hulán

- Related to Bug #12034: Validation of unique MAC can result in false positive added

#12 - 10/07/2015 08:44 AM - Bryan Kearney

- Bugzilla link set to 1268207

#13 - 11/24/2015 05:28 AM - Dominic Cleal

- Related to Bug #12486: Duplicate IP addresses after upgrading from 1.7 -> 1.8 -> 1.9 added

#14 - 11/24/2015 05:29 AM - Dominic Cleal

If a 1.9.4 is considered, add this to the backport candidates.
